clang 10.0.0git

Public Member Functions | List of all members
clang::TokenValue Class Reference

Stores token information for comparing actual tokens with predefined values. More...

`#include "clang/Lex/Preprocessor.h"`

## Public Member Functions
| TokenValue (tok::TokenKind Kind)
| TokenValue (IdentifierInfo *II)
bool | operator== (const Token &Tok) const

## Detailed Description

Stores token information for comparing actual tokens with predefined values.

Only handles simple tokens and identifiers.

Definition at line 89 of file Preprocessor.h.

## Constructor & Destructor Documentation

## ◆ TokenValue() [1/2]

clang::TokenValue::TokenValue | ( | tok::TokenKind | Kind | ) |
| inline

Definition at line 94 of file Preprocessor.h.

References clang::tok::isAnnotation(), and clang::tok::isLiteral().

## ◆ TokenValue() [2/2]

clang::TokenValue::TokenValue | ( | IdentifierInfo * | II | ) |
| inline

Definition at line 102 of file Preprocessor.h.

## Member Function Documentation

## ◆ operator==()

bool clang::TokenValue::operator== | ( | const Token & | Tok | ) | const
| inline

Definition at line 104 of file Preprocessor.h.

References clang::Token::getIdentifierInfo(), and clang::Token::getKind().

The documentation for this class was generated from the following file:

- include/clang/Lex/Preprocessor.h